using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Exam
{
    public class UnExamUserViewResponse:IViewResponse
    {
        /// <summary>
        /// 缺考人员
        /// </summary>
        [Description("缺考人员")]
        public string UserName { get; set; }

        /// <summary>
        /// 缺考部门
        /// </summary>
        [Description("缺考部门")]
        public string OrgName { get; set; }

        /// <summary>
        /// 考试题目
        /// </summary>
        [Description("考试题目")]
        public string ExamName { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }
    }

    public class ExamUserViewResponse : IViewResponse
    {
        /// <summary>
        /// 缺考人员
        /// </summary>
        [Description("缺考人员")]
        public string UserName { get; set; }

        /// <summary>
        /// 考试Id
        /// </summary>
        [Description("考试Id")]
        public string ExamId { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }
    }
}
